PSOC E8XXGP Device Support Library

| PSOC E8XXGP Device Support Library

Functions
Low Power Callbacks
PDL API Reference » RTC (Real-Time Clock) » Functions

## General Description

## Functions
cy_en_syspm_status_t | Cy_RTC_DeepSleepCallback (cy_stc_syspm_callback_params_t *callbackParams, cy_en_syspm_callback_mode_t mode)
| This function checks the RTC_BUSY bit to avoid data corruption before enters the Deep Sleep mode. More...
cy_en_syspm_status_t | Cy_RTC_HibernateCallback (cy_stc_syspm_callback_params_t *callbackParams, cy_en_syspm_callback_mode_t mode)
| This function checks the RTC_BUSY bit to avoid data corruption before enters the Hibernate mode. More...

## Function Documentation

## ◆ Cy_RTC_DeepSleepCallback()

cy_en_syspm_status_t Cy_RTC_DeepSleepCallback | ( | cy_stc_syspm_callback_params_t * | callbackParams,
|  | cy_en_syspm_callback_mode_t | mode
| ) |  |

This function checks the RTC_BUSY bit to avoid data corruption before enters the Deep Sleep mode.

Parameters

  callbackParams | The structure with the SysPm callback parameters, see cy_stc_syspm_callback_params_t
  mode | Callback mode, see cy_en_syspm_callback_mode_t.

Returns
  The SysPm return status, see cy_en_syspm_status_t.

Note
  The *base and *context elements are required to be present in the parameter structure because this function uses the SysPm driver callback type. The SysPm driver callback function type requires implementing the function with next parameters and return value:

cy_en_syspm_status_t (*Cy_SysPmCallback) (cy_stc_syspm_callback_params_t *callbackParams, cy_en_syspm_callback_mode_t mode);

## ◆ Cy_RTC_HibernateCallback()

cy_en_syspm_status_t Cy_RTC_HibernateCallback | ( | cy_stc_syspm_callback_params_t * | callbackParams,
|  | cy_en_syspm_callback_mode_t | mode
| ) |  |

This function checks the RTC_BUSY bit to avoid data corruption before enters the Hibernate mode.

Parameters

  callbackParams | structure with the syspm callback parameters, see cy_stc_syspm_callback_params_t.
  mode | Callback mode, see cy_en_syspm_callback_mode_t

Returns
  The syspm return status, see cy_en_syspm_status_t

Note
  The *base and *context elements are required to be present in the parameter structure because this function uses the SysPm driver callback type. The SysPm driver callback function type requires implementing the function with next parameters and return value:

cy_en_syspm_status_t (*Cy_SysPmCallback) (cy_stc_syspm_callback_params_t *callbackParams, cy_en_syspm_callback_mode_t mode);